Skip to main content
GET
/
api
/
dashboard
/
inventory
/
adjustments
List Adjustments
curl --request GET \
  --url https://api.example.com/api/dashboard/inventory/adjustments
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "quantity_change": 123,
    "previous_quantity": 123,
    "new_quantity": 123,
    "reason": "<string>",
    "note": "<string>",
    "adjusted_by": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "variant_sku": "<string>",
    "product_name": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.stella-commerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

authorization
string | null
X-API-Key
string | null
X-Stella-Merchant-Id
string | null

Query Parameters

variant_id
string<uuid> | null
page
integer
default:1
Required range: x >= 1
limit
integer
default:50
Required range: 1 <= x <= 100

Response

Successful Response

id
string<uuid>
required
variant_id
string<uuid>
required
quantity_change
integer
required
previous_quantity
integer
required
new_quantity
integer
required
reason
string
required
note
string | null
required
adjusted_by
string | null
required
created_at
string<date-time>
required
variant_sku
string | null
product_name
string | null